www.cendio.com
Bug 5563 - The server should log keyboard input
: The server should log keyboard input
Status: CLOSED FIXED
: ThinLinc
VNC
: trunk
: PC Unknown
: P2 Normal
: 4.5.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2015-06-02 15:37 by
Modified: 2015-09-25 14:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-06-02 15:37:20
When testing for example dead keys in ThinLinc, it's not enough to watch the
X11 window. We need to be able to monitor the characters that has been sent
over vnc.
------- Comment #1 From cendio 2015-06-09 13:34:39 -------
This bug is about improving the debug logging in Xvnc to make it easier to test
and debug keyboard issues.
------- Comment #3 From cendio 2015-08-31 10:06:38 -------
Fixed. Turn on debug logging* and you should see the keysyms sent by the
client.

*-Log *:stderr:100 in xserver_args.
------- Comment #4 From cendio 2015-09-01 14:53:58 -------
Works as advertised:

 - No logging with standard xserver_args
 - Keystrokes show up in log with "-Log *:stderr:100" in xserver_args

> VNCSConnST:  Key pressed: 0x64
> Input:       keycode 40 down
> VNCSConnST:  Key released: 0x64
> Input:       keycode 40 up